Freeciv-3.2: voteinfo Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
voteinfo Struct Reference

`#include <voteinfo.h>`

## Data Fields

int | vote_no
char | user [MAX_LEN_NAME]
char | desc [512]
int | percent_required
int | flags
int | yes
int | no
int | abstain
int | num_voters
bool | resolved
bool | passed
enum client_vote_type | client_vote
time_t | remove_time

## Detailed Description

Definition at line 29 of file voteinfo.h.

## Field Documentation

## ◆ abstain

int voteinfo::abstain

Definition at line 38 of file voteinfo.h.

Referenced by handle_vote_update().

## ◆ client_vote

enum client_vote_type voteinfo::client_vote

Definition at line 44 of file voteinfo.h.

## ◆ desc

char voteinfo::desc[512]

Definition at line 33 of file voteinfo.h.

Referenced by voteinfo_queue_add().

## ◆ flags

int voteinfo::flags

Definition at line 35 of file voteinfo.h.

Referenced by voteinfo_queue_add().

## ◆ no

int voteinfo::no

Definition at line 37 of file voteinfo.h.

Referenced by handle_vote_update().

## ◆ num_voters

int voteinfo::num_voters

Definition at line 39 of file voteinfo.h.

Referenced by handle_vote_update().

## ◆ passed

bool voteinfo::passed

Definition at line 41 of file voteinfo.h.

Referenced by handle_vote_resolve().

## ◆ percent_required

int voteinfo::percent_required

Definition at line 34 of file voteinfo.h.

Referenced by voteinfo_queue_add().

## ◆ remove_time

time_t voteinfo::remove_time

Definition at line 45 of file voteinfo.h.

## ◆ resolved

bool voteinfo::resolved

Definition at line 40 of file voteinfo.h.

## ◆ user

char voteinfo::user[MAX_LEN_NAME]

Definition at line 32 of file voteinfo.h.

Referenced by voteinfo_queue_add().

## ◆ vote_no

int voteinfo::vote_no

Definition at line 31 of file voteinfo.h.

Referenced by handle_vote_resolve(), handle_vote_update(), voteinfo_queue_add(), voteinfo_queue_delayed_remove(), voteinfo_queue_find(), and voteinfo_queue_remove().

## ◆ yes

int voteinfo::yes

Definition at line 36 of file voteinfo.h.

Referenced by handle_vote_update().